View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0013876ParaView(No Category)public2013-02-12 18:232013-05-18 20:00
ReporterAlan Scott 
Assigned ToDavid Thompson 
PriorityhighSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version4.0 
Summary0013876: 2d plot - log Y axis is broken
DescriptionThere is a major bug in the log of the axes on 2d plots. It replicates as follows:

* 3.98.1, Linux, local server.
* Load can.exo. All variables on. Apply.
* Plot over line filter. Apply. Turn all variables on, all off. Then, only turn on Global Node Id.
* On the 2d viewport, Edit View Options. Left Axis/ Layout. Turn on "Use Logarithmic Scale When Available". The Y axis no longer has a scale.

This needs to be fixed ASAP.
TagsNo tags attached.
ProjectSandia
Topic Name13876_log_scaled_axes
Typeincorrect functionality
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to 0013899closedDavid Thompson 2d plot - log Y axis is broken (problem dataset) 
related to 0013877closedDavid Thompson Histogram Y axis doesn't log properly. 

-  Notes
(0030473)
David Thompson (developer)
2013-03-25 11:50

There were several issues with the vtkAxis class as well as charts that relied on the vtkAxis for scaling information:

1. Log-scaling could be requested but there was no way for a chart to know whether it would be enabled by the axis or not (without duplicating code from the axis class).

2. Some classes need access to axis ranges as specified (ParaView UI) while others need to know the range of values that the transformed plot coordinates span (vtkPlot*). The chart API in VTK now provides both.

3. Some plots (vtkPlotBar) ignored log-scaling altogether.

4. The logic to compute tick labels when log scaling was requested, feasible (min*max > 0), but not reasonable (less than 1 order of magnitude between min and max) was broken.

It should be possible to verify the fix by retrying the steps above to demonstrate the problem, as well as the use cases in bug 13877 and 13899.
(0030475)
Utkarsh Ayachit (administrator)
2013-03-25 14:43

SUMMARY
---------------------------------------------
Topics merged into master:
(VTK) 13876_log_scaled_axes

(0030783)
Alan Scott (manager)
2013-05-15 20:07

Tested master, remote server, Linux.

- Issue History
Date Modified Username Field Change
2013-02-12 18:23 Alan Scott New Issue
2013-02-12 18:39 Alan Scott Status backlog => todo
2013-02-12 18:49 Alan Scott Relationship added related to 0013877
2013-02-13 09:53 Utkarsh Ayachit Assigned To => Kyle Lutz
2013-02-19 20:01 Alan Scott Relationship added related to 0013899
2013-02-26 10:54 Utkarsh Ayachit Assigned To Kyle Lutz => David Thompson (old)
2013-02-26 11:39 David Thompson (old) Assigned To David Thompson (old) => David Thompson
2013-03-25 11:50 David Thompson Topic Name => 13876_log_scaled_axes
2013-03-25 11:50 David Thompson Note Added: 0030473
2013-03-25 11:50 David Thompson Status todo => gatekeeper review
2013-03-25 11:50 David Thompson Fixed in Version => git-next
2013-03-25 11:50 David Thompson Resolution open => fixed
2013-03-25 14:43 Utkarsh Ayachit Fixed in Version git-next => git-master
2013-03-25 14:43 Utkarsh Ayachit Status gatekeeper review => customer review
2013-03-25 14:43 Utkarsh Ayachit Note Added: 0030475
2013-05-15 20:07 Alan Scott Note Added: 0030783
2013-05-15 20:07 Alan Scott Status customer review => closed
2013-05-18 20:00 Utkarsh Ayachit Fixed in Version git-master => 4.0


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker